<?php

namespace IPS\bookmark\extensions\toolsmenu\FostersToolsMenu;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}


class _Bookmarks extends \IPS\toolsmenu\Helper\MenuItem
{
	public function getExtraMenu()
	{
		$return = array();
		foreach ( \IPS\bookmark\Bookmark::getMenuBookmarks() as $bookmark )
		{
				$return[(string)$bookmark->item->url()] = $bookmark->title;
		}
		return $return;
	}

}