//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class bookmark_hook_group extends _HOOK_CLASS_
{

    /**
     * Get data
     *
     * @return	array
     */
    public static function bookmarkPerms($id)
    {
	try
	{
		try
		{
		        try{
		            $myData = \IPS\Db::i()->select(['can_create_bookmarks', 'can_create_private_bookmarks'], 'bookmark_grouppermissions', array( 'group_id=?', $id ) )->first();
		        }
		        catch ( \UnderflowException $e )
		        {
		            $myData = [
		                    'can_create_bookmarks' => 0,
		                    'can_create_private_bookmarks' => 0
		            ];
					\IPS\Db::i()->insert('bookmark_grouppermissions',[
						'group_id' => $id,
						'can_create_bookmarks' => 0,
						'can_create_private_bookmarks' => 0
					] );
		        }
		        return $myData;
		}
		catch ( \Error | \RuntimeException $e )
		{
			if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
			{
				\IPS\Log::log( $e, 'hook_exception' );
			}
	
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
	catch ( \Error | \RuntimeException $e )
	{
		if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
		{
			\IPS\Log::log( $e, 'hook_exception' );
		}

		if ( method_exists( get_parent_class(), __FUNCTION__ ) )
		{
			return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
		}
		else
		{
			throw $e;
		}
	}
    }

}
