<?php

namespace IPS\bookmark\modules\front\bookmarks;

/* To prevent PHP errors (extending class does not exist) revealing path */
use IPS\Helpers\Form;
use IPS\Http\Url\Internal;
use IPS\Member;
use IPS\Output;
use IPS\Request;

if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 *
 */
class _basecontroller extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		if (!\IPS\Application::load('bookmark')->canUseBookmarks() )
		{
			\IPS\Output::i()->error( 'no_module_permission', '2bookmarknoperm', 403, '' );
		}
		parent::execute();
	}
}